# TODO:
# - split /usr/share/perl* part into perl-ack subpackage
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
%bcond_with	pty_tests	# do not perform tests requiring a pty
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	ack
Summary:	grep-like text finder
Summary(pl.UTF-8):	produkt grepopodobny
Name:		ack
Version:	2.14
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/P/PE/PETDANCE/%{name}-%{version}.tar.gz
# Source0-md5:	43cfa05123ba0440fa3958690ee03bac
Patch0:		%{name}-deps.patch
Patch1:		%{name}-interactive-tests.patch
URL:		http://betterthangrep.com/
Requires:	perl-ack = %{version}
%if %{with tests}
BuildRequires:	perl-File-Next >= 1.10
%{?with_pty_tests:BuildRequires:	perl-IO-Tty}
BuildRequires:	perl-Test-Simple >= 0.98
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-perldoc
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ack is designed as a replacement for 99% of the uses of grep.

Ack searches the named input FILEs (or standard input if no files are
named, or the file name - is given) for lines containing a match to
the given PATTERN. By default, ack prints the matching lines.

Ack can also list files that would be searched, without actually
searching them, to let you take advantage of ack's file-type filtering
capabilities.

%description -l pl.UTF-8
ack jest narzędziem podobnym do grepa, zaprojektowanym dla
programistów pracujących z dużymi drzewami różnorodnych plików.

ack jest napisany w czystym perlu i korzysta z potęgi wyrażeń
regularnych tego języka.

%package -n perl-ack
Summary:	ack perl library
Summary(pl.UTF-8):	biblioteka ack dla języka perl
Group:		Development/Languages/Perl

%description -n perl-ack
ack perl library.

%description -n perl-ack -l pl.UTF-8
ack perl library.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p0
%patch1 -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{!?with_pty_tests: RUN_INTERACTIVE=0} %{__make} -j1 test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%attr(755,root,root) %{_bindir}/ack
%{_mandir}/man1/ack.1p*

%files -n perl-ack
%defattr(644,root,root,755)
%{perl_vendorlib}/App/Ack.pm
%{perl_vendorlib}/App/Ack
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ack.git;a=log;h=master

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> e10418b
- rebuild with perl 5.28.0
- release 2 (by relup.sh)

* Mon Sep 08 2014 Kacper Kornet <draenog@pld-linux.org> 5a043e5
- updated to 2.14

* Fri Oct 11 2013 Kacper Kornet <draenog@pld-linux.org> 9259fe0
- updated to 2.10

* Sun Sep 08 2013 Tomasz Pala <gotar@pld-linux.org> 561d9e5
- pl cosmetics

* Sun Sep 08 2013 Jan Rękorajski <baggins@pld-linux.org> c589522
- up to 2.08

* Tue Apr 30 2013 Kacper Kornet <draenog@pld-linux.org> e6d740c
- updated to 2.04
- strict dependence on version of perl-ack

* Tue Apr 23 2013 Kacper Kornet <draenog@pld-linux.org> 81f268e
- don't run tests requiring pty
- adapterized

* Mon Apr 22 2013 Kacper Kornet <draenog@pld-linux.org> 7ce2421
- fix R: for strange version of File::Glob

* Mon Apr 22 2013 Kacper Kornet <draenog@pld-linux.org> 78a5158
- up to 2.02
- don't run tests in parallel
- update BRs for tests

* Thu Oct 06 2011 Kacper Kornet <draenog@pld-linux.org> d53d6ac
- up to 1.96

* Sat Dec 11 2010 Kacper Kornet <draenog@pld-linux.org> 3719e74
- up to 1.94
- /usr/bin/ack contains all files from perl-ack

* Tue Nov 16 2010 pawelz <pawelz@pld-linux.org> bc3c2e6
- release 3

* Sun Apr 11 2010 pawelz <pawelz@pld-linux.org> c5d7fda
- versioned internal dependency
- rel 2

* Sun Apr 11 2010 pawelz <pawelz@pld-linux.org> 33e5a24
- fix package name
- split library into subpackage

* Sun Apr 11 2010 pawelz <pawelz@pld-linux.org> 29efeb0
- there is no pld locale

* Wed Apr 07 2010 pawelz <pawelz@pld-linux.org> eaa174a
- TODO: split /usr/share/perl* part into perl-ack subpackage

* Sun Apr 04 2010 pawelz <pawelz@pld-linux.org> 7c73020
- updated to 1.92

* Fri Dec 04 2009 Elan Ruusamäe <glen@pld-linux.org> 3b51bee
- correct arch and license

* Fri Dec 04 2009 pawelz <pawelz@pld-linux.org> 181dbcd
- cosmetics

* Fri Dec 04 2009 pawelz <pawelz@pld-linux.org> 89a9956
- initial release

